Bank Transactions
Update Transaction
Update an existing bank transaction.
PATCH
/
api
/
v1
/
bank-transactions
/
{transaction_id}
Update Transaction
curl --request PATCH \
--url https://vinmake-erp.onrender.com/api/v1/bank-transactions/{transaction_id} \
--header 'Content-Type: application/json' \
--data '
{
"bankAccountId": "<string>",
"transactionDate": "2023-12-25",
"description": "<string>",
"debitAmount": 123,
"creditAmount": 123,
"balance": 123,
"reconciled": true,
"matchedEntryId": "<string>",
"matchConfidence": 123,
"bankName": "<string>",
"fileName": "<string>"
}
'import requests
url = "https://vinmake-erp.onrender.com/api/v1/bank-transactions/{transaction_id}"
payload = {
"bankAccountId": "<string>",
"transactionDate": "2023-12-25",
"description": "<string>",
"debitAmount": 123,
"creditAmount": 123,
"balance": 123,
"reconciled": True,
"matchedEntryId": "<string>",
"matchConfidence": 123,
"bankName": "<string>",
"fileName": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
bankAccountId: '<string>',
transactionDate: '2023-12-25',
description: '<string>',
debitAmount: 123,
creditAmount: 123,
balance: 123,
reconciled: true,
matchedEntryId: '<string>',
matchConfidence: 123,
bankName: '<string>',
fileName: '<string>'
})
};
fetch('https://vinmake-erp.onrender.com/api/v1/bank-transactions/{transaction_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"orgId": "<string>",
"transactionDate": "<string>",
"description": "<string>",
"debitAmount": 123,
"creditAmount": 123,
"balance": 123,
"reconciled": true,
"createdAt": "<string>",
"importedAt": "<string>",
"bankAccountId": "<string>",
"bankAccountName": "<string>",
"matchedEntryId": "<string>",
"matchConfidence": 123,
"bankName": "<string>",
"fileName": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Path Parameters
Body
application/json
Response
Successful Response
Previous
Sync Sepay TransactionsFetch transactions from SEPay API using token, write local CSV file, and sync to DB.
Next
⌘I
Update Transaction
